Publish the configuration
curl --request POST \
--url https://api.zelinqa.ai/v1/configuration/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expected_draft_revision": 1
}
'import requests
url = "https://api.zelinqa.ai/v1/configuration/publish"
payload = { "expected_draft_revision": 1 }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expected_draft_revision: 1})
};
fetch('https://api.zelinqa.ai/v1/configuration/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"compilation_id": "<string>",
"status": "queued",
"draft_revision": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"progress": 0.5,
"error": {
"code": "validation_failed",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"entity": "objective",
"entity_id": "<string>",
"change_index": 1
}
]
},
"configuration_version": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Configuration
Publish the configuration
Validate the current draft and start its asynchronous compilation.
POST
/
v1
/
configuration
/
publish
Publish the configuration
curl --request POST \
--url https://api.zelinqa.ai/v1/configuration/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expected_draft_revision": 1
}
'import requests
url = "https://api.zelinqa.ai/v1/configuration/publish"
payload = { "expected_draft_revision": 1 }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expected_draft_revision: 1})
};
fetch('https://api.zelinqa.ai/v1/configuration/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "<string>",
"compilation_id": "<string>",
"status": "queued",
"draft_revision": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"progress": 0.5,
"error": {
"code": "validation_failed",
"message": "<string>",
"details": [
{
"code": "<string>",
"message": "<string>",
"entity": "objective",
"entity_id": "<string>",
"change_index": 1
}
]
},
"configuration_version": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"code": "unauthorized",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
8 - 128Body
application/json
Required range:
x >= 0Response
Successful response.
Required string length:
1 - 128Available options:
queued, running, succeeded, failed Required range:
x >= 0Required range:
0 <= x <= 1Show child attributes
Show child attributes